%global enable_tests 1

Name:           nodejs-deep-eql
Version:        0.1.3
Release:        %mkrel 3
Summary:        Improved deep equality testing for Node.js and the browser
Group:      System/Libraries

License:        MIT
URL:            https://github.com/chaijs/deep-eql
Source0:        http://registry.npmjs.org/deep-eql/-/deep-eql-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated using Source10, which pulls from the upstream
# version control repository.
Source1:        deep-eql-tests-%{version}.tar.bz2
Source10:       deep-eql-dl-tests.sh
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(simple-assert)
BuildRequires:  npm(type-detect)
%endif

%description
Improved deep equality testing for Node.js and the browser.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
%nodejs_fixdep type-detect "~0.1.2"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/deep-eql
cp -pr package.json index.js lib %{buildroot}%{nodejs_sitelib}/deep-eql
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --require test/bootstrap --reporter list test/*.js
%endif


%files
%doc README.md History.md 
%{nodejs_sitelib}/deep-eql





%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.1.3-3.mga6
+ Revision: 950435
- Mageia 6 Mass Rebuild

  + tv <tv>
    - reenable testsuite

* Wed Oct 29 2014 tv <tv> 0.1.3-1.mga5
+ Revision: 794394
- add group
- imported package nodejs-deep-eql


* Wed Oct 29 2014 Thierry Vignaud <tv@mageia.org> 0.1.3-1.mga5
- import from FC

* Fri Jan 31 2014 Tom Hughes <tom@compton.nu> - 0.1.3-1
- Initial build of 0.1.3
